# Thread::getCurrentThread

(PECL pthreads >= 2.0.0)

Thread::getCurrentThread — Identification

### Description

public static Thread::getCurrentThread ( void ) : Thread

Return a reference to the currently executing Thread

### Parameters

This function has no parameters.

### Return Values

An object representing the currently executing Thread

### Examples

Example #1 Return the currently executing Thread

`<?php
class My extends Thread {
public function run() {
var_dump(Thread::getCurrentThread());
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    object(My)#2 (0) {
    }